microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
查询参数
api-version
string
必需
The API version to use for this operation.
路径参数
name
string
必需
The name of the resource
version
string
必需
The specific version id of the DatasetVersion to operate on.
响应
The request has succeeded.
正文
Content-Type: application/json
blobReference
BlobReference
必需
Blob reference details.
blobUri
string
必需
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
必需
ARM ID of the storage account to use.
credential
SasCredential
必需
SAS Credential definition
sasUri
string
必需
SAS uri
type
enum
必需
Type of credential
SAS
请求
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
响应
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json